org.apache.ignite.internal.management.diagnostic

## Class DiagnosticPagelocksCommand

- java.lang.Object
- - org.apache.ignite.internal.management.diagnostic.DiagnosticPagelocksCommand

All Implemented Interfaces:
  Command<DiagnosticPagelocksCommandArg,Map<ClusterNode,PageLocksResult>>, ComputeCommand<DiagnosticPagelocksCommandArg,Map<ClusterNode,PageLocksResult>>

    public class DiagnosticPagelocksCommand
    extends Object
    implements ComputeCommand<DiagnosticPagelocksCommandArg,Map<ClusterNode,PageLocksResult>>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`DiagnosticPagelocksCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<DiagnosticPagelocksCommandArg>` `argClass()`
`String` `description()` Command description.
`Collection<GridClientNode>` `nodes(Collection<GridClientNode> nodes, DiagnosticPagelocksCommandArg arg)`
`void` `printResult(DiagnosticPagelocksCommandArg arg, Map<ClusterNode,PageLocksResult> res, Consumer<String> printer)` Prints command result to the user.
`Class<PageLocksTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Constructor Detail

#### DiagnosticPagelocksCommand

    public DiagnosticPagelocksCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<DiagnosticPagelocksCommandArg,Map<ClusterNode,PageLocksResult>>`

#### argClass

    public Class<DiagnosticPagelocksCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<DiagnosticPagelocksCommandArg,Map<ClusterNode,PageLocksResult>>`
Returns:
  Arguments class.

#### taskClass

    public Class<PageLocksTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<DiagnosticPagelocksCommandArg,Map<ClusterNode,PageLocksResult>>`
Returns:
  Task class.

#### nodes

    public Collection<GridClientNode> nodes(Collection<GridClientNode> nodes,
                                            DiagnosticPagelocksCommandArg arg)

Specified by:
  `nodes` in interface `ComputeCommand<DiagnosticPagelocksCommandArg,Map<ClusterNode,PageLocksResult>>`
Parameters:
  `nodes` - Live nodes.
  `arg` - Argument.
Returns:
  nodes to execute command on, `null` means default node must be used.

#### printResult

    public void printResult(DiagnosticPagelocksCommandArg arg,
                            Map<ClusterNode,PageLocksResult> res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<DiagnosticPagelocksCommandArg,Map<ClusterNode,PageLocksResult>>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023